Skip to main content
GET
Retrieve a treasury transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

treasury_account_id
string
required

ID of the treasury account.

transaction_id
string
required

ID of the treasury transaction.

Response

The treasury transaction.

id
string
Example:

"tx_7n0QWb9vLa"

treasury_account_id
string

ID of the treasury account

Example:

"tac_b0TrsSg91h"

type
enum<string>
Available options:
Commission,
Withdrawal,
Deposit,
Transfer,
Fee,
Adjustment,
Refund,
Payment
amount
integer

Amount in smallest currency unit

Example:

50000

currency
string
Example:

"USD"

source_id
string | null

The originating account for this transaction, if applicable.

Example:

"va_zb9C6lW9oE"

destination_id
string | null

The destination account for this transaction, if applicable.

Example:

"set_Tv0RGtQAWA"

reference
string | null

Client-supplied reference used for reconciliation.

created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

Last modified on July 8, 2026